Package org.bukkit.event.weather

# Enum Class ThunderChangeEvent.Cause

java.lang.Object
java.lang.Enum<ThunderChangeEvent.Cause>
org.bukkit.event.weather.ThunderChangeEvent.Cause

All Implemented Interfaces:
  `Serializable`, `Comparable<ThunderChangeEvent.Cause>`, `Constable`

Enclosing class:
  ThunderChangeEvent

public static enum ThunderChangeEvent.Cause extends Enum<ThunderChangeEvent.Cause>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMMAND`
`NATURAL`
`PLUGIN`
`SLEEP`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`static ThunderChangeEvent.Cause`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ThunderChangeEvent.Cause[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COMMAND

public static final ThunderChangeEvent.Cause COMMAND

### NATURAL

public static final ThunderChangeEvent.Cause NATURAL

### SLEEP

public static final ThunderChangeEvent.Cause SLEEP

### PLUGIN

public static final ThunderChangeEvent.Cause PLUGIN

### UNKNOWN

public static final ThunderChangeEvent.Cause UNKNOWN

## Method Details

### values

public static ThunderChangeEvent.Cause[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ThunderChangeEvent.Cause valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null